## org.apache.aries.subsystem.core.internal
Class BundleResource

    java.lang.Object
      org.apache.aries.subsystem.core.internal.BundleResource

All Implemented Interfaces:
  org.osgi.resource.Resource, RepositoryContent

    public class BundleResource

extends Object
implements org.osgi.resource.Resource, RepositoryContent

Constructor Summary
`BundleResource(org.apache.aries.util.filesystem.IFile content)`

Method Summary
`List<org.osgi.resource.Capability>` `getCapabilities(String namespace)`
`InputStream` `getContent()` Returns a new input stream to the default format of this resource.
`String` `getLocation()`
`List<org.osgi.resource.Requirement>` `getRequirements(String namespace)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.osgi.resource.Resource
`equals, hashCode`

Constructor Detail

### BundleResource

    public BundleResource(org.apache.aries.util.filesystem.IFile content)
                   throws org.apache.aries.application.modelling.ModellerException

Throws:
  `org.apache.aries.application.modelling.ModellerException`

Method Detail

### getCapabilities

    public List<org.osgi.resource.Capability> getCapabilities(String namespace)

  Specified by:
    `getCapabilities` in interface `org.osgi.resource.Resource`

### getLocation

    public String getLocation()

### getContent

    public InputStream getContent()

  Description copied from interface: `RepositoryContent`
  Returns a new input stream to the default format of this resource.

  Specified by:
    `getContent` in interface `RepositoryContent`
  Returns:
    A new input stream for associated resource.

### getRequirements

    public List<org.osgi.resource.Requirement> getRequirements(String namespace)

  Specified by:
    `getRequirements` in interface `org.osgi.resource.Resource`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.